Subject: Re: bug#7343: Making flyspell incredibly fast when checking whole files
From: Agustin Martin <[email-masked]>
To: Brandon Craig Rhodes <[email-masked]>, [email-masked]
Date: Wed, 10 Nov 2010 15:44:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Nov 06, 2010 at 10:03:52AM -0400, Brandon Craig Rhodes wrote:
> A patch is attached that fixes this problem, and - here on my laptop, at
> least - makes flyspell blazing fast at even large files.  The mechanism
> is simple: I have added a second optional argument to flyspell-word,
> named "known-misspelling", that tells flyspell-word that the word has
> already been checked and is a misspelling and does not need to be
> checked again.  Then, down in the function, I simply placed the entire
> interactive session with ispell/aspell/hunspell inside of an "if".

Installed in the Emacs bzr repo. Closing bug report.

Thanks a lot for your patch,

-- 
Agustin